Subject: Re: [PATCH net-next v2 3/3] net: phy: marvell10g: place in powersave mode at probe

From: Russell King - ARM Linux admin <[email-masked]>
Date: Fri, 10 Apr 2020 15:36:58 +0100

On Fri, Apr 10, 2020 at 03:19:14PM +0100, Russell King - ARM Linux admin wrote:
> On Fri, Apr 10, 2020 at 03:48:34PM +0200, Matteo Croce wrote:
> > On Fri, Apr 10, 2020 at 3:24 PM Russell King <[email-masked]> wrote:
> > >
> > > Place the 88x3310 into powersaving mode when probing, which saves 600mW
> > > per PHY. For both PHYs on the Macchiatobin double-shot, this saves
> > > about 10% of the board idle power.
> > >
> > > Signed-off-by: Russell King <[email-masked]>
> > 
> > Hi,
> > 
> > I have a Macchiatobin double shot, and my 10G ports stop working after
> > this change.
> > I reverted this commit on top of latest net-next and now the ports work again.
> 
> Please describe the problem in more detail.
> 
> Do you have the interface up?  Does the PHY link with the partner?
> Is the problem just that traffic isn't passed?

I've just retested on my Macchiatobin double shot, and it works fine.
What revision PHYs do you have?  Unfortunately, you can't read the
PHY ID except using mii-diag:

# mii-diag eth0 -p 32769

or

# mii-diag eth1 -p 33025

Looking at word 3 and 4, it will be either:

002b 09aa
002b 09ab

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 10.2Mbps down 587kbps up